Bug 12281 - (python traceback) filesystems not re-mounted on a second attempt upgrade
(python traceback) filesystems not re-mounted on a second attempt upgrade
Status: CLOSED DUPLICATE of bug 12106
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-14 13:18 EDT by James Manning
Modified: 2007-04-18 12:27 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-18 01:26:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Manning 2000-06-14 13:18:54 EDT
After one attempt at an upgrade that failed (see bug 12278), I killed off
some stuff in /mnt/sysimage from vc2 (note that in bug 12278 the unmounting
worked for all filesystems except /mnt/sysimage itself) then clicked "Next"
again at the "About to upgrade" screen that the GUI install was in.  This
re-ran the "Transferring image to hard drive" but the GUI install "locked"
after that with the buttons (Hide Help, Back, Next) all greyed out and
inactive.  The status shows 420 packages to upgrade of 623MB in size.

vc2 df shows that the other filesystems never got re-mounted on the second
pass attempt.  vc1 shows a python traceback:

Exception in thread Thread-4:
Traceback (innermost last):
  File "/usr/lib/python1.5/threading.py", line 376, in __bootstrap
    self.run()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 16, in run
    rc = self.todo.doInstall ()
  File "/usr/lib/anaconda/todo.py", line 1368, in doInstall
    self.fstab.umountFilesystems(self.instPath)
  File "/usr/lib/anaconda/fstab.py", line 434, in umountFilesystems
    isys.umount(mntPoint, removeDir = 0)
  File "/usr/lib/anaconda/isys.py", line 113, in umount
    mountCount[what] = mountCount - 1
TypeError: bad operand type(s) for -
Comment 1 Brock Organ 2000-06-18 01:26:54 EDT
verified ... added to the winston scrub list ... thanks for the report!
Comment 2 Brock Organ 2000-06-27 14:08:02 EDT

*** This bug has been marked as a duplicate of 12106 ***

Note You need to log in before you can comment on or make changes to this bug.